## valgrind 3.6.1

=== debian/changelog ===
valgrind (1:3.6.1-6) unstable; urgency=low

  * Upload with maintainer's consent.

  * debian/patches/0007-implement-extra-dwarf-ops-gcc-461.patch:
    + Added; from upstream r11856, makes valgrind work again with binaries
      built with recent gcc versions (Closes: #632969).
  * debian/patches/0008-configure-support-linux-3.patch:
    + Added; from upstream r11796, add support for Linux 3.x to configure
      script (Closes: #633094).

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 Jul 2011 22:28:11 +0200

valgrind (1:3.6.1-5) unstable; urgency=low

  * debian/rules:
      - use autotools-dev dh_autotools-dev_updateconfig.
      - do now strip under /usr/lib/valgrind (Closes: 475562).
      - use dh 7 to reduce debian/rules cruft.
  * Add armhf to the supported architectures.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 23 May 2011 16:00:59 +0200

valgrind (1:3.6.1-4) unstable; urgency=low

  * Fix patches/0004-allow-or-quoting-of-strings-in-.valgrindrc.patch: out was
    copied too early leading to bad option parsing in case of leading spaces
    (Closes: 626486, 626496).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 19:44:22 +0200

valgrind (1:3.6.1-3) unstable; urgency=low

  * update 0002-version.patch to loosen the checks on the arm version
    (Closes: 592614).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 13:35:29 +0200

valgrind (1:3.6.1-2) unstable; urgency=low

  * Enable valgrind build on armel (Closes: 592614):
      - s/arm/armel/ in debian/control;
      - build for armv7 since valgrind doesn't support older arm CPUs,
        thanks to Loïc Minier for the implementation details.
  * Add 0004-allow-or-quoting-of-strings-in-.valgrindrc.patch to allow parsing
    of options with spaces in ~/.valgrindrc (Closes: 507236).
  * Catch manpages build failures (Closes: 599563) thanks to Stefano Rivera.
  * Add suppression for __nss_database_lookup leaks in debian.supp
    (Closes: 598870).
  * String things not under /usr/lib/valgrind (Closes: 475562), document into
    the lintian-overrides why it shouldn't be stripped, namely
    http://valgrind.org/docs/manual/dist.readme-packagers.html.
  * Add 0006-workaround-SIGSEGV-on-PPC.patch to workaround PPC SIGSEGV
    (Closes: 603961).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 May 2011 23:12:23 +0200

valgrind (1:3.6.1-1) unstable; urgency=low

  * Migrate to format 3.0 (quilt):
      - use upstream .tar.bz2 directly;
      - migrate patches from dpatch to debian/patches/*.
      - valgrind builds twice in a row (Closes: 549554).
  * Add myself to Uploaders.
  * New upstream release (Closes: 622586, 625180).
  * Add patches/0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch to prevent
    warnings about set but unused variables with gcc-4.6.
  * debian/control:
      - Bump standards version (no changes needed).
      - Add VCS-* Headers.
      - Add Homepage Header.
  * Lintian fixes:
      - Add missing ${misc:Depends} in debian/control.
      - fix debian-rules-ignores-make-clean-error.
      - migrate to dh_lintian for overrides, and update them.
      - remove article from debian/control Description.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 09 May 2011 22:55:27 +0200
