=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Andrés Roldán <aroldan@debian.org>
Uploaders: Pierre Habouzit <madcoder@debian.org>
Build-Depends: debhelper (>> 7.0.0), libc6-dev (>> 2.3.0), autotools-dev (>= 20100122.1),
  gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64], docbook,
  docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git

Package: valgrind
Architecture: i386 amd64 powerpc armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
Conflicts: valgrind-callgrind
Provides: valgrind-callgrind
Suggests: kcachegrind, alleyoop, valkyrie (>> 1.3.0)
Recommends: gdb
Description: memory debugger and profiler
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted.
 .
 Valgrind can debug more or less any dynamically-linked ELF x86/Linux,
 amd64/Linux and ppc/Linux executables, without modification, recompilation,
 or anything.
 .
 Valgrind provides a generic infrastructure for supervising the execution of
 programs called "tools". This is done by providing a way to instrument
 programs in very precise ways, making it relatively easy to support
 activities such as dynamic error detection and profiling. The Valgrind
 distribution currently includes three tools: a memory error detectors, a
 cache (time) profiler and a heap (space) profiler.
Homepage: http://www.valgrind.org/
