## valgrind 3.6.99svn11761

=== debian/changelog ===
valgrind (1:3.6.99svn11761-1) experimental; urgency=low

  * Package a pre 3.7.0 snapshot (up to r11761 on 20110517).
  * 3.7.0 comes with a gdbserver features which mitigates the following bugs:
      - Gdb interactions are simpler and avoid issues due to embedding
        (Closes: 309406, 270066, 351823)
      - this comes with better handling of registers (Closes: 576236).
      - 3.7.0 has a s390x port, so enable it as an architecture and see where
        it goes.
  * remove 0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch since upstream
    now integrates those changes.
  * lintian fixes:
      - add overrides for sgcheck binaries and DSO.
      - update debhelper version depends to 7.0.50~ as suggested.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 17 May 2011 08:47:28 +0200

valgrind (1:3.6.1-5) UNRELEASED; urgency=low

  * debian/rules:
      - use autotools-dev dh_autotools-dev_updateconfig.
      - do now strip under /usr/lib/valgrind (Closes: 475562).
      - use dh 7 to reduce debian/rules cruft.
  * Add armhf to the supported architectures.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 13 May 2011 14:29:50 +0200
