## valgrind 3.7.0

=== debian/changelog ===
valgrind (1:3.7.0-6+rpi8) trixie-staging; urgency=medium

  * Allow 5.x kernels and newer glibc.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 19 Jun 2024 01:20:18 +0000

valgrind (1:3.7.0-6+rpi7) bookworm-staging; urgency=medium

  * Treat glibc 2.35 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10
  * Add +fp to -march settings

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 02 Oct 2022 16:13:57 +0000

valgrind (1:3.7.0-6+rpi6) buster-staging; urgency=medium

  * Treat glibc 2.27 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 03 May 2018 16:12:17 +0000

valgrind (1:3.7.0-6+rpi5) stretch-staging; urgency=medium

  * Add 4.x kernels to detection code.
  * Regenerate auto* using automake 1.10
  * Treat glibc 2.24 as 2.14 to make package build.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 08 Oct 2016 23:38:55 +0000

valgrind (1:3.7.0-6+rpi4) stretch-staging; urgency=medium

  * Don't install bash-completion file, it conflicts with one in bash-completion
    package.
  * Treat glibc 2.22 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Apr 2016 09:08:45 +0000

valgrind (1:3.7.0-6+rpi3) stretch-staging; urgency=medium

  * Don't error out on unrecognised gcc versions.
  * Regenerate auto*
  * Cleanup config.log in clean target.
  * Use the -P option to cpp during glibc version detection as line markers
    were screwing up the interpretation.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 10 Mar 2016 01:23:20 +0000

valgrind (1:3.7.0-6+rpi2) jessie-staging; urgency=low

  * Treat eglibc 2.17 as 2.14 to make package build.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 28 Nov 2013 11:38:49 +0000

valgrind (1:3.7.0-6+rpi1) wheezy-staging; urgency=low

  * add armv6 fixes from 
    http://valgrind.10908.n7.nabble.com/for-the-poor-armv6-users-td19828.html
  * regenerate auto*
  * disable broken armv7 check in debian/rules
  * put a copy of FAQ.txt in debian/ and copy it back into main build tree at
    end of clean target since the upstream build process seems to kill it.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 24 Dec 2012 13:41:19 +0000

valgrind (1:3.7.0-6) unstable; urgency=low

  * Explicitly pass -I/usr/include/$(DEB_HOST_GNU_TYPE) compiler flag
    (Closes: #676029)
  * Remove ${shlibs:Depends} from valgrind-dbg depends

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Jun 2012 12:35:02 +0200

valgrind (1:3.7.0-5) unstable; urgency=low

  * Build on ppc64 too (Closes: #672481)
  * Update short and long descriptions
  * Remove not-needed Provides/Conflicts on valgrind-callgrind
  * No need to merge xfree-4.supp into debian.supp: it is already provided
    by default.supp
  * Enable mpiwrap module (Closes: #565139)
    - Add new valgrind-mpi package
    - valgrind Suggests valgrind-mpi
  * Clean-up rules' dh_install override
  * Add valgrind-dbg package (cf. #475562)
    - valgrind Recommends valgrind-dbg
  * Remove unused lintian overrides
  * Update debian/copyright using Copyright-Format 1.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 17 May 2012 22:03:08 +0200

valgrind (1:3.7.0-4) unstable; urgency=low

  [ Pierre Habouzit ]
  * Remove myself as a Maintainer, pass the package to Alessandro.

  [ Alessandro Ghedini ]
  * Remove versioned build depends already satisfied in stable
  * Bump Standards-Version to 3.9.3
  * Add debian/watch
  * Pass CPPFLAGS and LDFLAGS from dpkg-buildflags too
  * Replace UNRELEASED with unstable in debian/{changelog,NEWS} entry for
    3.6.1-5 (fixes debian-news-entry-has-strange-distribution)
  * Add 0007-fix-spelling-in-binary.patch
  * Add 0008-fix-spelling-in-manpage.patch
  * Add more DEP3 headers to the patches
  * Remove useless debian/dirs file
  * Use dh_bash-completion to install bash completion file
  * Use debian/clean file instead of overriding dh_clean
  * Register HTML manual with doc-base
  * Install NEWS as upstream changelog
  * Add Roland to Uploaders
  * Fix typo in long description (Closes: #643834)
  * Provide a valgrind-listener manpage
    - Add 0009-valgrind-listener-manpage.patch
      Thanks to Cristian Greco (Closes: #632822)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 11 May 2012 17:09:35 +0200

valgrind (1:3.7.0-3) unstable; urgency=low

  * Set myself as maintainer of valgrind, removing Andrés on his request.
    Thanks for the more than 7 years of maintenance Andrés!
  * Add s390x to the Architecture field (Closes: 640154).
  * Remove s390 that isn't supported upstream anymore.
  * Make valgrind believe it's cross compiled so that it builds on armel
    (hopefully), fix configure to deal with gcc version check properly
    (patches/0006-fix-configure.patch).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Feb 2012 11:28:32 +0100

valgrind (1:3.7.0-2) unstable; urgency=low

  * Fix callgrind_control that should look for valgrind.bin and not
    "valgrind". Closes: 659215. Thanks to Martin Apel.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 10 Feb 2012 14:16:17 +0100

valgrind (1:3.7.0-1) unstable; urgency=low

  * New upstream release.
  * refresh 0002-version.patch.
  * Drop patches merged upstream:
    - 0005-catch-manpages-errors.patch
    - 0007-implement-extra-dwarf-ops-gcc-461.patch
    - 0008-configure-support-linux-3.patch

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 21 Dec 2011 16:28:29 +0100
