=== debian/watch ===
version=3

http://valgrind.org/downloads/valgrind-(.*)\.tar\.bz2
