## valgrind 3.8.1

=== debian/changelog ===
valgrind (1:3.8.1-4ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 21:03:30 +0100

valgrind (1:3.8.1-4) unstable; urgency=low

  * Build with -mips2 on mipsel.
    Thanks to Fuxin Zhang (Closes: #710307)
  * Add 12_bcopy.patch (Closes: #691109)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 01 Jun 2013 15:51:47 +0200

valgrind (1:3.8.1-3ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.
  * Drop remaining ppc64 patches; we no longer care about this in Ubuntu,
    and valgrind seems to build fine on Debian ppc64.
  * Renumber Ubuntu patches to make future merges easier.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 11:09:43 +0100

valgrind (1:3.8.1-3) unstable; urgency=low

  * Add 11_glibc-2.17.patch to fix FTBFS with glibc 2.17 (Closes: #707438)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 10 May 2013 18:10:39 +0200

valgrind (1:3.8.1-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Quote LD_LIBRARY_PATH in the wrapper script to avoid errors with spaced
    paths (LP: #880685)
  * Enable support for mipsel too (Closes: #696850)
  * Add suppression for dlopen() leak when linking with -lpthread
    (Closes: #700899)

  [ Samuel Bronson ]
  * Allow building more than once from the same tree
    - Build and ship FAQ.txt from sources, since the bundled copy is deleted
      on "make clean"
  * Drop docs/valgrind.1 changes from 08_fix-spelling-in-manpage.patch
  * Add 10_unbreak-xinclude-in-manpage.patch to fix a broken XInclude
    (Closes: #696694)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 20 Feb 2013 11:21:07 +0100

valgrind (1:3.8.1-1ubuntu5) raring; urgency=low

  * Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
    implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction shows
    up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 15:41:11 +0000

valgrind (1:3.8.1-1ubuntu4) raring; urgency=low

  * Backport from upstream:
    - Accept glibc 2.17 as valid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 13:36:30 +0000

valgrind (1:3.8.1-1ubuntu3) raring; urgency=low

  * Don't strip vgpreload* on ARM; this results in unusable stack traces.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 11:37:18 +0000

valgrind (1:3.8.1-1ubuntu2) raring; urgency=low

  * Drop the dh-autoreconf delta, we no longer need this for Ubuntu.
  * Lower over-inflated valgrind-dbg Recommends to Suggests instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 16 Dec 2012 07:53:19 -0700

valgrind (1:3.8.1-1ubuntu1) raring; urgency=low

  [ Alex Chiang ]
  * Merge from Debian unstable.
    - Drop all Ubuntu patches, as they have been applied upstream or are
      carried in Debian with similar names.
    - Drop documentation on creating snapshots in debian/copyright, doesn't
      seem necessary anymore.
    Remaining changes:
    - Use dh-autoreconf instead of autotools-dev.
    - Add ppc64 support:
      . Build-dep on gcc-multilib and libc6-dev-powerpc on ppc64
  * 10_extra-debuginfo-path.patch: allows specification of an extra directory
    in which to look for debuginfo objects.

  [ Adam Conrad ]
  * Remove valgrind-mpi package from Ubuntu and any references to it, as
    mpi-default-dev is in universe for the time being (Reverts: #565139)

 -- Alex Chiang <achiang@canonical.com>  Tue, 11 Dec 2012 22:56:07 -0800

valgrind (1:3.8.1-1) unstable; urgency=low

  * New upstream release
  * Update 02_version.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 19 Sep 2012 19:59:34 +0200

valgrind (1:3.8.0-1) unstable; urgency=low

  * New upstream release
    - Increase maximum allowed alignment for memalign (Closes: #489297)
    - Support for Intel AVX instructions (Closes: #655468)
    - Fix some C++ template symbols demangling (Closes: #493284)
  * Fix debian.supp madness (Closes: #661523):
    - Remove python suppressions from debian.supp
      (already provided by the python package)
    - Remove outdated suppressions from debian.supp
      (i.e. those matching old libraries)
    - Remove useless suppressions and clean-up remaining
  * Update upstream copyright
  * Enable support for mips
  * Drop 06_fix-configure.patch (fixed upstream)
  * Refresh patches
  * Update 07_fix-spelling-in-binary.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 11 Aug 2012 14:24:56 +0200

valgrind (1:3.7.0-0ubuntu4) quantal; urgency=low

  * fix-buffer-overflows.patch: fix overflows in vgdb
  * 05_fix-callgrind_control.patch: fix valgrind process name (LP: #1036283)
  * fix-VEX-PCMPxSTRx.patch: fix strstr handling (LP: #1027977)


