=== debian/changelog ===
valgrind (1:3.10~20140411-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140411. LP: #1300070.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Apr 2014 13:07:13 +0200

valgrind (1:3.10~20140329-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140329.
  * Build for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Mar 2014 12:02:06 +0100

valgrind (1:3.9.0-4ubuntu4) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 20:29:02 +0100

valgrind (1:3.9.0-4ubuntu3) trusty; urgency=medium

  * Add support for glibc-2.19.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 16:56:18 +0100

valgrind (1:3.9.0-4ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2014 08:21:30 +0100

valgrind (1:3.9.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: valgrind-dev on valgrind

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:46:58 +0100

valgrind (1:3.9.0-3) unstable; urgency=medium

  * Revert the move of the headers and pkg-config file to valgrind-dev
    (cfr: #731228) (Closes: #732239)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:20:48 +0100

valgrind (1:3.9.0-2) unstable; urgency=medium

  * Remove valgrind.manpages (manpages are installed anyway)
  * Build on mips64 and mips64el (Closes: #729040)
  * Add 09_fix-armhf-detect.patch to fix FTBFS on armhf (Closes: #730844)
  * Move headers and pkg-config file to valgrind-dev (Closes: #731228)
    See Debian.NEWS for more info
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Dec 2013 19:28:22 +0100

valgrind (1:3.9.0-1) unstable; urgency=low

  * New upstream release
  * Drop patches merged/fixed upstream:
    - 01_more-vg-n-segments.patch
    - 09_valgrind-listener-manpage.patch
    - 10_unbreak-xinclude-in-manpage.patch
    - 11_glibc-2.17.patch
    - 12_bcopy.patch
    - 13_pthread-cond-init.patch
  * Refresh patches
  * Update 08_fix-spelling-in-manpage.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Nov 2013 20:54:28 +0100

valgrind (1:3.8.1-6) unstable; urgency=low

  * Only install BSD-licensed header files (Closes: #725223)
  * Fix lintian vcs-field-not-canonical
  * Do not install/use outdated and useless debian-libc6-dbg.supp anymore
  * Add note in README.Debian about installed suppression files
    (Closes: #725522)
  * Do not build on armel anymore (Closes: #720409)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 31 Oct 2013 11:34:53 +0100

valgrind (1:3.8.1-5ubuntu2) trusty; urgency=medium

  * Build for glibc-2.18.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Dec 2013 09:47:10 +0100

valgrind (1:3.8.1-5ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 13:42:46 -0700

valgrind (1:3.8.1-5) unstable; urgency=low

  * Enable build on x32 architecture (Closes: #718368)
  * Instrument pthread_cond_init() in Helgrind (Closes: #723699)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Sep 2013 13:01:22 +0200
