=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Roland Stigge <stigge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  autotools-dev,
+ dh-autoreconf,
  bash-completion,
  gdb,
  gcc-multilib [amd64],
@@ -14,16 +15,18 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
 XS-Debian-Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
 Homepage: http://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
+Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
 Suggests: valgrind-dbg, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
 Recommends: gdb
+Breaks: valgrind-dev
+Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
  Valgrind is a system for debugging and profiling Linux programs. With its tool
  suite you can automatically detect many memory management and threading bugs,
@@ -45,7 +48,7 @@
 Package: valgrind-dbg
 Priority: extra
 Section: debug
-Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
+Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, valgrind (= ${binary:Version})
 Description: instrumentation framework for building dynamic analysis tools (debug)
  Valgrind is a system for debugging and profiling Linux programs. With its tool
