## valgrind 3.10.0

=== debian/changelog ===
valgrind (1:3.10.0-4) unstable; urgency=medium

  * Call dh_shlibdeps unconditionally

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 16 Nov 2014 10:52:29 +0100

valgrind (1:3.10.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix changelog typo (Closes: #768303)
  * Fix note about instrumenting i386 binaries on amd64 (Closes: #768412)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 14 Nov 2014 12:46:30 +0100

valgrind (1:3.10.0-2) unstable; urgency=medium

  * Add note in README.Debian about instrumenting i386 executables on amd64
  * Avoid Depends: libc-i386 on valgrind:amd64 (Closes: #762386)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 05 Nov 2014 20:56:12 +0100

valgrind (1:3.10.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream:
    - 10_fix-memcheck-manual.patch
    - 11_track-af_inet6.patch
    - 12_glibc-2.19.patch
    - 13_xabort.patch
  * Refresh the remaining patches
  * Build on arm64 and ppc64el
  * Fix wildcard-matches-nothing-in-dep5-copyright
  * Fix another spelling-error-in-manpage

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 21 Sep 2014 12:04:17 +0200

valgrind (1:3.9.0-7) unstable; urgency=medium

  * Remove index() Debian-specific suppressions (not needed anymore)
  * Add 13_xabort.patch to add support for XABORT (Closes: #754496)
  * Switch to dh-autoreconf
  * No need to patch 'configure' as well as 'configure.ac' due to autoreconf

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 23 Jul 2014 11:47:13 +0200

valgrind (1:3.9.0-6) unstable; urgency=medium

  * Improve misleading note about suppressions in README.Debian
  * Add note about valgrind-dbg Recommends in README.Debian
  * Add 12_glibc-2.19.patch to fix build against glibc 2.19 (Closes: #751701)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Jun 2014 20:20:54 +0200

valgrind (1:3.9.0-5) unstable; urgency=medium

  * Add 10_fix-memcheck-manual.patch (Closes: #736994)
  * Add suppressions to avoid errors from index() with newer libc
  * Add 11_track-af_inet6.patch to fix AF_INET6 sockets tracking
    (Closes: #733119)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 23 Feb 2014 20:04:38 +0100
